KateConfig Class Referenceabstract

`#include <kateconfig.h>`

Inherited by KateDocumentConfig, KateRendererConfig, and KateViewConfig.

## Public Member Functions

| KateConfig ()
virtual | ~KateConfig ()
void | configStart ()
void | configEnd ()

## Protected Member Functions

virtual void | updateConfig ()=0

## Detailed Description

Base Class for the Kate Config Classes.

Definition at line 43 of file kateconfig.h.

## Constructor & Destructor Documentation

KateConfig::KateConfig | ( |  | ) |

Default Constructor.

Definition at line 46 of file kateconfig.cpp.

KateConfig::~KateConfig | ( |  | ) |

virtual

Virtual Destructor.

Definition at line 51 of file kateconfig.cpp.

## Member Function Documentation

void KateConfig::configEnd | ( |  | ) |

end a config change transaction, update the concerned documents/views/renderers

Definition at line 65 of file kateconfig.cpp.

void KateConfig::configStart | ( |  | ) |

start some config changes this method is needed to init some kind of transaction for config changes, update will only be done once, at configEnd() call

Definition at line 55 of file kateconfig.cpp.

virtual void KateConfig::updateConfig | ( |  | ) |

protected pure virtual

do the real update

The documentation for this class was generated from the following files:

- kateconfig.h
- kateconfig.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys